classification
Title: Remove "PyNumber_InMatrixMultiply"
Type: Stage: resolved
Components: C API Versions: Python 3.11
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: February291948, brandtbucher, corona10, rhettinger
Priority: low Keywords: easy (C), patch

Created on 2021-11-09 00:49 by brandtbucher, last changed 2021-11-26 14:10 by corona10. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29751 merged corona10, 2021-11-24 15:31
Messages (4)
msg405992 - (view) Author: Brandt Bucher (brandtbucher) * (Python committer) Date: 2021-11-09 00:49
Here's a weird one: for the last 8 years, we've defined a function called "PyNumber_InMatrixMultiply" in abstract.c. It's a pretty clear misspelling of "PyNumber_InPlaceMatrixMultiply", which is *also* defined in that file. There's no documentation or tests for it, which further suggests that its inclusion was a mistake.

Any new contributors interested in deleting that one line? :)
msg405993 - (view) Author: theeshallnotknowethme (February291948) * Date: 2021-11-09 00:58
Also with this, could anyone also remove the unused `VISIT_SLICE` macro in 'Python/compile.c'? Thanks.
msg406444 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-11-17 02:14
Alternatively, fix the misspelling in the macro and delete the redundant expanded code below.
msg407050 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2021-11-26 14:10
New changeset db671b010cb4662011c6e6567a1f4fcd509102b8 by Dong-hee Na in branch 'main':
bpo-45760: Remove PyNumber_InMatrixMultiply (GH-29751)
https://github.com/python/cpython/commit/db671b010cb4662011c6e6567a1f4fcd509102b8
History
Date User Action Args
2021-11-26 14:10:34corona10setstatus: open -> closed
stage: patch review -> resolved
2021-11-26 14:10:18corona10setmessages: + msg407050
2021-11-24 15:31:12corona10setkeywords: + patch
nosy: + corona10

pull_requests: + pull_request27988
stage: patch review
2021-11-17 02:14:43rhettingersetnosy: + rhettinger
messages: + msg406444
2021-11-09 00:58:05February291948setnosy: + February291948
messages: + msg405993
2021-11-09 00:49:15brandtbuchercreate